
package com.tmerclub.cloud.platform.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 系统密钥DTO
 * @author TRACK
 */
public class SysAccessKeyDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long sysAccessKeyId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "账号id")
    private String accessId;

    @Schema(description = "密钥")
    private String accessKey;

    @Schema(description = "系统类型 0.c端用户 1.商家端 2.平台端" )
    private Integer sysType;

    @Schema(description = "密钥权限类型 0.全部权限 1.指定权限" )
    private Integer premType;

    @Schema(description = "密钥可用店铺id,如果为0则为所有店铺" )
    private Long usabilityShopId;

    @Schema(description = "菜单id列表" )
    private List<Long> menuIdList;

    @Schema(description = "菜单资源id")
    private List<Long> menuPermissionId;

    public List<Long> getMenuPermissionId() {
        return menuPermissionId;
    }

    public void setMenuPermissionId(List<Long> menuPermissionId) {
        this.menuPermissionId = menuPermissionId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Integer getPremType() {
        return premType;
    }

    public void setPremType(Integer premType) {
        this.premType = premType;
    }

    public Long getUsabilityShopId() {
        return usabilityShopId;
    }

    public void setUsabilityShopId(Long usabilityShopId) {
        this.usabilityShopId = usabilityShopId;
    }

    public List<Long> getMenuIdList() {
        return menuIdList;
    }

    public void setMenuIdList(List<Long> menuIdList) {
        this.menuIdList = menuIdList;
    }

    public Long getSysAccessKeyId() {
        return sysAccessKeyId;
    }

    public void setSysAccessKeyId(Long sysAccessKeyId) {
        this.sysAccessKeyId = sysAccessKeyId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    @Override
    public String toString() {
        return "SysAccessKeyDTO{" +
                "sysAccessKeyId=" + sysAccessKeyId +
                ",name=" + name +
                ",remark=" + remark +
                ",accessId=" + accessId +
                ",accessKey=" + accessKey +
                ",menuPermissionId=" + menuPermissionId +
                '}';
    }
}
